{ config, lib, pkgs, ... }:

with lib;

mkIf (elem "podman" config.machine.services) {
  virtualisation.podman = {
    enable = true;
    dockerSocket.enable = (elem "docker" config.machine.services);
    dockerCompat = (elem "docker" config.machine.services);
    defaultNetwork = {
      settings.dns_enabled = true;
    };
  };
  environment.systemPackages = with pkgs; [ podman-compose ];
}
